<?php

namespace Drupal\taxonomy_search;

/**
 * Taxonomy search interface
 */
interface TaxonomySearchInterface {

  /**
   * Get search
   * 
   * @param string $taxonomyVocabularyVid taxonomy Vocabulary Vid
   * @param string $termSearch            term search
   *
   * @return int
   */
  public function getSearch($taxonomyVocabularyVid, $termSearch);

  /**
   * Get Vocabularies
   * 
   * @return array || null 
   */
  public function getVocabularies();
}
